Pre-compiled updated mwlwifi drivers for stable releases


#247

@eduperez and @abood.alakhras - I have the same exakt release/version and it works fine (just my 2c)


#248

on the web i get this , maybe its installed ?
Package kmod-mwlwifi (4.4.92+10.3.4.0.git-2017-06-06-1) installed in root is up to date.

The thing is that i am not able to increase the antenna power , I thought 30 dbm should be supported right ? max is 20 dbm. how can I be sure which version is installed


#249

You do not have the latest version of the drivers, get the latest drivers from https://github.com/eduperez/mwlwifi_LEDE/releases and install them with opkg install --force-downgrade. However, I do not think that there have been any changes related to output power. You might want to file a but report at https://github.com/kaloz/mwlwifi/issues.


#250

looks like its been installed because am getting this ,

root@LEDE:/tmp# opkg install --force-downgrade http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv
3.ipk
Downloading http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk
Package kmod-mwlwifi (4.4.92+10.3.4.0.git-2017-06-06-1) installed in root is up to date.
root@LEDE:/tmp#

#251

No, that 2017 version is ancient.

You may need to use opkg install --force-reinstall --force-downgrade


#252

getting this now

root@LEDE:/tmp# opkg install --force-reinstall --force-downgrade http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex
-a9_vfpv3.ipk
Downloading http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk
No packages removed.
Installing kmod-mwlwifi (4.4.92+10.3.4.0.git-2017-06-06-1) to root...
Collected errors:
 * opkg_download_pkg: Package kmod-mwlwifi is not available from any configured src.
 * opkg_install_pkg: Failed to download kmod-mwlwifi. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package kmod-mwlwifi.
root@LEDE:/tmp#

#253

Just download the package first and install directly the ipk file.

cd /tmp

wget http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk

opkg install --force-reinstall --force-downgrade kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk

#254

Thank you for the details , but getting these errors too :slight_smile:

root@LEDE:/tmp# wget http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk
Downloading 'http://github.com/eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk'
Connecting to 192.30.253.112:80
Redirected to /eduperez/mwlwifi_LEDE/releases/download/fcaea79/kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk on github.com
Redirected to /91330593/1b8954c6-3454-11e8-8f2e-7e7328a76a12?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20180430%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20180430T070030Z&X-Amz-Expires=300&X-Amz-Signature=6c61d7316f2f2901ad7f2090aa3359220d4f0c059cb35b6333de237421390a03&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dkmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk&response-content-type=application%2Foctet-stream on github-production-release-asset-2e65be.s3.amazonaws.com
Writing to '1b8954c6-3454-11e8-8f2e-7e7328a76a12?X-Amz-Algorithm=AWS4-HMAC-SHA256'
1b8954c6-3454-11e8-8 100% |*******************************|   704k  0:00:00 ETA
Download completed (721452 bytes)
root@LEDE:/tmp# 
root@LEDE:/tmp# 
root@LEDE:/tmp# opkg install --force-reinstall --force-downgrade kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk
Collected errors:
 * wfopen: kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk: No such file or directory.
 * pkg_init_from_file: Failed to extract control file from kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk.
root@LEDE:/tmp#

#255

Check the filename...
Possibly wget saved it under a strange name.

Use "ls" to check the file name. Based on that download message, it might be 1b8954c6-345...

if necessary, rename it:

mv 1b89* mwlwifi.ipk
opkg install --force-reinstall --force-downgrade mwlwfi.ipk

Or use the strange name to install it:
opkg install --force-reinstall --force-downgrade 1b89*


#256

Thank you very muh yes !

root@LEDE:/tmp# opkg install --force-reinstall --force-downgrade mwlwifi.ipk 
No packages removed.
Installing kmod-mwlwifi (4.4.92+10.3.4.0-20180330-fcaea79-9326) to root...
Configuring kmod-mwlwifi.
root@LEDE:/tmp#

anything else need to be done , or now i should be good ?


#257

All done now, enjoy it!


#258

Thanks alot for your support and patience :slight_smile:


#259

Hi everybody! I have a WRT3200ACM with LEDE Reboot 17.01.4, firmware 4.4.92. I have installed the latest version (kmod-mwlwifi_4.4.92.10.3.4.0-20180330-fcaea79-9326_arm_cortex-a9_vfpv3.ipk) of the drivers. But if I try to override the status led behaviour, then the wifi interfaces still stop working. Did I do something wrong or is it still an unsloved bug from Marvell?
Have you found any new solution? (I'd like to set up the leds so that when the 5Ghz interface is turned on, the 5Ghz led stay turned on, and not blinking only when a device is connected. Obviously I'd like to do the same for the 2.4Ghz interfaces/led).

Thank you in advance, and thank you anyway for your work, really a great work! :+1::+1:


#260

I remember having this issue with the early versions of these drivers, we could not even use the LEDs without breaking the wifi. It is supposed to be working now, however; and the default configuration should work. I have not tried to configure them in a special mode, as you suggest.


#261

Uhm, I asked around, but some people say it is related to mwlwifi driver and others say it's related to OpenWrt. It's strange. Could you eventually try to add a LED config for the wifi, just to be sure that it's not only a problem on my device? If you confirm that the problem is still there then maybe I'll open a bug report on OpenWrt forum.

UPDATE: the only trigger that makes the wifi crashing is the phy0radio (or the phy1radio) that is the one that turns on the wifi led when the wifi interface is on too.
I searched out in the filyspray site for OpenWrt bugs reporting, and the problem was already posted in October.


#262

Thanks
I understand that the following question isn't about mwlwifi but I can't find good answer for it:
if I'd like add packages from snapshots lede build will I make the same?
for example I would like to add new mwan3 package https://github.com/openwrt/packages/tree/master/net/mwan3
will I need replace \files and Makefile in \package\feeds\net and run make?


#263

Yes, I think the procedure should be similar.


#264

Thanks
Also I would like to ask you: did you try to use vnstat, nlbwmon or maybe other traffic's collect packages?
I've tried to install both that packages but I couldn't got any statistic
nlbwmon didn't start , error happened
vnstat started successfully but didn't collect statistic
:frowning:


#265

I use collectd and several of its modules, and so far it has been working great; I have not tried vnstat or nlbwon, sorry.


#266

I have a wrt1200 running 17.01.4. I just installed the updated mwlwifi drivers and I must say WOW! My router feels like a new unit. Pages load faster, files download faster, everything seems smoother and stable. Using the stock driver my tablet and phone would lose wifi every so often with no reason.

I can't wait for 18.06 :grinning: